<%@ Page Language="VB" AutoEventWireup="false" CodeFile="VB.aspx.vb" Inherits="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
        table { border: 1px solid #ccc; border-collapse: collapse; }
        table th { background-color: #F7F7F7; color: #333; font-weight: bold; }
        table th, table td { padding: 5px; border: 1px solid #ccc; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="false">
            <Columns>
                <asp:TemplateField>
                    <HeaderTemplate>
                        <asp:CheckBox ID="chkAll" runat="server" />
                    </HeaderTemplate>
                    <ItemTemplate>
                        <asp:CheckBox ID="chk" runat="server" />
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField DataField="Id" HeaderText="Customer Id" />
                <asp:BoundField DataField="Name" HeaderText="Name" />
                <asp:BoundField DataField="Country" HeaderText="Country" />
            </Columns>
        </asp:GridView>
        <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        <script type="text/javascript">
            $("[id*=GridView1] [id*=chkAll]").on("click", function () {
                //Get the reference of Header CheckBox.
                var chkAll = $(this);

                //Loop through all GridView CheckBoxes except Header CheckBox.
                $("[id*=GridView1] [id*=chk]").not("[id*=chkAll]").each(function () {
                    $(this)[0].checked = chkAll[0].checked;
                });
            });
        </script>
        <script type="text/javascript">
            $("[id*=GridView1] [id*=chk]").on("click", function () {
                //Get the reference of Header CheckBox.
                var chkAll = $("[id*=GridView1] [id*=chkAll]");

                //Set Header CheckBox checked to true.
                chkAll[0].checked = true;

                //Loop through all GridView CheckBoxes except Header CheckBox.
                $("[id*=GridView1] [id*=chk]").not("[id*=chkAll]").each(function () {
                    if (!$(this).is(":checked")) {
                        chkAll[0].checked = false;
                        return;
                    }
                });
            });
        </script>
    </form>
</body>
</html>
